require "prawn"

class TestBoundingBox < Prawn::Document
  def initialize
    super
    text "Dienstplan"

    move_down 650
    #with_position

    with_bounding_box

  end

  def with_bounding_box
    y = cursor

    bounding_box([0, y], width: 450, height: 200) do
      bounding_box([4, bounds.top], width: 200, height: 30) do
        text "1"
        text "1"
        text "1"
        text "1"
        text "1"
        #
        # t = self.make_table([["x"],["b"],["c"]],
        #                     header: true)
        # t.draw
        stroke_bounds
      end
      puts y
      bounding_box([230, bounds.top], width: 200, height: 40) do
        text "2"
        text "2"
        # text "2"
        # text "2"
        # text "2"
        # text "2"
        # t = self.make_table([["x"],["b"],["c"],["b"],["c"],["b"],["c"], ["c"],["b"],["c"]],
        #                     header: true)
        # t.draw
        stroke_bounds
      end
      stroke_bounds
    end
  end

  def with_position
    y = cursor
    page = page_number
    puts y

    t = self.make_table([["x"], ["b"], ["c"], ["b"], ["c"], ["b"], ["c"], ["c"], ["b"], ["c"]],
                        header: true, position: :left)
    t.draw

    go_to_page page
    move_cursor_to y
    puts cursor
    t = self.make_table([["x"], ["b"], ["c"], ["b"], ["c"], ["b"], ["c"], ["c"], ["b"], ["c"]],
                        header: true, position: 200)
    t.draw
  end
end


pdf = TestBoundingBox.new()
pdf.render_file "mit_korrektur_januar.pdf"

